By: Stefan Sels user 30 Nov 2016 at 8:15 a.m. CST

16 Responses
Stefan Sels gravatar
OS i actually REHL 6.8 Is it possible to migrate Data only from an 2.3.4 Installation to 2.4.4? We need to migrate a couple of instances from 2.3.4 to a recent version but we do not need to have all certificates and configuration transfered. As the export2?.py and import244.py does not work (see other ticket) we need a working upgrade path.

By Mohib Zico staff 30 Nov 2016 at 8:27 a.m. CST

Mohib Zico gravatar
2.3.x is really old; I think it's better to install 2.4.x series in another VM and migrate that data by hand or manually. However we can check locally to find out if there is any suitable way to do that with scripts. Zamil/Arun? What do you think?

By Stefan Sels user 30 Nov 2016 at 8:43 a.m. CST

Stefan Sels gravatar
we already have the 2.4 in place.

By Stefan Sels user 30 Nov 2016 at 8:46 a.m. CST

Stefan Sels gravatar
would something like this work? [http://connect2id.com/products/server/docs/guides/opendj-records-migration](http://connect2id.com/products/server/docs/guides/opendj-records-migration)

By Mohib Zico staff 30 Nov 2016 at 8:48 a.m. CST

Mohib Zico gravatar
We need to test actually...

By Michael Schwartz Account Admin 30 Nov 2016 at 5:18 p.m. CST

Michael Schwartz gravatar
No that wouldn't work. It's for a different data structure.

By Stefan Sels user 05 Dec 2016 at 2:25 a.m. CST

Stefan Sels gravatar
we will have to upgrade a bunch of systems (2 productive clusters, 4 non productve clusters and some test systems.) are you working on upgrade instructions?

By Mohib Zico staff 05 Dec 2016 at 2:46 a.m. CST

Mohib Zico gravatar
>> are you working on upgrade instructions? No plan at this moment. As we are are going to release Gluu Server v3.0.0 on Jan, 2017; may be we will work on something like upgrading 2.3.x after that. For now, we are helping our Enterprise customers to install, configure and migrate versions in manual way from 2.3.x.

By Stefan Sels user 05 Dec 2016 at 2:48 a.m. CST

Stefan Sels gravatar
in other words, this is not covered with our contract?

By Mohib Zico staff 05 Dec 2016 at 2:50 a.m. CST

Mohib Zico gravatar
Unfortunately, yes.

By Stefan Sels user 05 Dec 2016 at 2:51 a.m. CST

Stefan Sels gravatar
Well i will ask our management if we ugprade at all or look for other products.

By Mohib Zico staff 05 Dec 2016 at 2:52 a.m. CST

Mohib Zico gravatar
Sure, Thanks Stefan.

By Stefan Sels user 05 Dec 2016 at 2:58 a.m. CST

Stefan Sels gravatar
Would the support be within Premium?

By Mohib Zico staff 05 Dec 2016 at 3:07 a.m. CST

Mohib Zico gravatar
Please allow me to ask our management; we will inform you asap.

By Michael Schwartz Account Admin 05 Dec 2016 at 10:55 a.m. CST

Michael Schwartz gravatar
We have an update script from 2.3.6 --> 2.4.2, but not from 2.4.3-->2.4.4. As demand for this is not that high, it's probably not going to be written any time soon. However, given your clustered deployment, upgrade is going to have to be handled carefully in any case. I think the best way to upgrade would be to setup a new cluster using 2.4.4, and tactically move over data. We can help document a procedure for this. You'd have to migrate over 1. user data 2. OpenID Connect clients / SAML SP 3. custom LDAP schema 4. customizations (forms, css, libraries, etc.) One thought... it might pay to wait for Gluu Server 3.0.0. This version is in QA right now, estimated release is 1/1. Because it's so soon, it might pay to wait a little bit.

By Arunmozhi P staff 05 Dec 2016 at 12:23 p.m. CST

Arunmozhi P gravatar
Hi Stefan, I updated your other ticket [https://support.gluu.org/upgrade/3512/upgrade-from-234-to-24x/](https://support.gluu.org/upgrade/3512/upgrade-from-234-to-24x/) with the upgrade information. Regards, Arunmozhi